org.opencv.ximgproc

## Class SelectiveSearchSegmentation

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.SelectiveSearchSegmentation

-     public class SelectiveSearchSegmentation
      extends Algorithm

  Selective search segmentation algorithm The class implements the algorithm described in CITE: uijlings2013selective.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SelectiveSearchSegmentation(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SelectiveSearchSegmentation` | `__fromPtr__(long addr)`
    `void` | `addGraphSegmentation(GraphSegmentation g)` Add a new graph segmentation in the list of graph segementations to process.
    `void` | `addImage(Mat img)` Add a new image in the list of images to process.
    `void` | `addStrategy(SelectiveSearchSegmentationStrategy s)` Add a new strategy in the list of strategy to process.
    `void` | `clearGraphSegmentations()` Clear the list of graph segmentations to process;
    `void` | `clearImages()` Clear the list of images to process
    `void` | `clearStrategies()` Clear the list of strategy to process;
    `protected void` | `finalize()`
    `void` | `process(MatOfRect rects)` Based on all images, graph segmentations and stragies, computes all possible rects and return them
    `void` | `setBaseImage(Mat img)` Set a image used by switch* functions to initialize the class
    `void` | `switchToSelectiveSearchFast()` Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
    `void` | `switchToSelectiveSearchFast(int base_k)` Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
    `void` | `switchToSelectiveSearchFast(int base_k, int inc_k)` Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
    `void` | `switchToSelectiveSearchFast(int base_k, int inc_k, float sigma)` Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
    `void` | `switchToSelectiveSearchQuality()` Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
    `void` | `switchToSelectiveSearchQuality(int base_k)` Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
    `void` | `switchToSelectiveSearchQuality(int base_k, int inc_k)` Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
    `void` | `switchToSelectiveSearchQuality(int base_k, int inc_k, float sigma)` Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
    `void` | `switchToSingleStrategy()` Initialize the class with the 'Single stragegy' parameters describled in CITE: uijlings2013selective.
    `void` | `switchToSingleStrategy(int k)` Initialize the class with the 'Single stragegy' parameters describled in CITE: uijlings2013selective.
    `void` | `switchToSingleStrategy(int k, float sigma)` Initialize the class with the 'Single stragegy' parameters describled in CITE: uijlings2013selective.

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectiveSearchSegmentation

          protected SelectiveSearchSegmentation(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SelectiveSearchSegmentation __fromPtr__(long addr)

    - #### addGraphSegmentation

          public void addGraphSegmentation(GraphSegmentation g)

      Add a new graph segmentation in the list of graph segementations to process.
      Parameters:
        `g` - The graph segmentation

    - #### addImage

          public void addImage(Mat img)

      Add a new image in the list of images to process.
      Parameters:
        `img` - The image

    - #### addStrategy

          public void addStrategy(SelectiveSearchSegmentationStrategy s)

      Add a new strategy in the list of strategy to process.
      Parameters:
        `s` - The strategy

    - #### clearGraphSegmentations

          public void clearGraphSegmentations()

      Clear the list of graph segmentations to process;

    - #### clearImages

          public void clearImages()

      Clear the list of images to process

    - #### clearStrategies

          public void clearStrategies()

      Clear the list of strategy to process;

    - #### process

          public void process(MatOfRect rects)

      Based on all images, graph segmentations and stragies, computes all possible rects and return them
      Parameters:
        `rects` - The list of rects. The first ones are more relevents than the lasts ones.

    - #### setBaseImage

          public void setBaseImage(Mat img)

      Set a image used by switch* functions to initialize the class
      Parameters:
        `img` - The image

    - #### switchToSelectiveSearchFast

          public void switchToSelectiveSearchFast(int base_k,
                                                  int inc_k,
                                                  float sigma)

      Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
      Parameters:
        `base_k` - The k parameter for the first graph segmentation
        `inc_k` - The increment of the k parameter for all graph segmentations
        `sigma` - The sigma parameter for the graph segmentation

    - #### switchToSelectiveSearchFast

          public void switchToSelectiveSearchFast(int base_k,
                                                  int inc_k)

      Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
      Parameters:
        `base_k` - The k parameter for the first graph segmentation
        `inc_k` - The increment of the k parameter for all graph segmentations

    - #### switchToSelectiveSearchFast

          public void switchToSelectiveSearchFast(int base_k)

      Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
      Parameters:
        `base_k` - The k parameter for the first graph segmentation

    - #### switchToSelectiveSearchFast

          public void switchToSelectiveSearchFast()

      Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.

    - #### switchToSelectiveSearchQuality

          public void switchToSelectiveSearchQuality(int base_k,
                                                     int inc_k,
                                                     float sigma)

      Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
      Parameters:
        `base_k` - The k parameter for the first graph segmentation
        `inc_k` - The increment of the k parameter for all graph segmentations
        `sigma` - The sigma parameter for the graph segmentation

    - #### switchToSelectiveSearchQuality

          public void switchToSelectiveSearchQuality(int base_k,
                                                     int inc_k)

      Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
      Parameters:
        `base_k` - The k parameter for the first graph segmentation
        `inc_k` - The increment of the k parameter for all graph segmentations

    - #### switchToSelectiveSearchQuality

          public void switchToSelectiveSearchQuality(int base_k)

      Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.
      Parameters:
        `base_k` - The k parameter for the first graph segmentation

    - #### switchToSelectiveSearchQuality

          public void switchToSelectiveSearchQuality()

      Initialize the class with the 'Selective search fast' parameters describled in CITE: uijlings2013selective.

    - #### switchToSingleStrategy

          public void switchToSingleStrategy(int k,
                                             float sigma)

      Initialize the class with the 'Single stragegy' parameters describled in CITE: uijlings2013selective.
      Parameters:
        `k` - The k parameter for the graph segmentation
        `sigma` - The sigma parameter for the graph segmentation

    - #### switchToSingleStrategy

          public void switchToSingleStrategy(int k)

      Initialize the class with the 'Single stragegy' parameters describled in CITE: uijlings2013selective.
      Parameters:
        `k` - The k parameter for the graph segmentation

    - #### switchToSingleStrategy

          public void switchToSingleStrategy()

      Initialize the class with the 'Single stragegy' parameters describled in CITE: uijlings2013selective.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7